uk.gov.hmrc.cache.repository

# CacheRepository

###
Related Docs: object CacheRepository | package repository

#### trait CacheRepository extends ReactiveRepository[Cache, Id] with UniqueIndexViolationRecovery

Linear Supertypes
UniqueIndexViolationRecovery, ReactiveRepository[Cache, Id], CurrentTime, CollectionName, MongoDb, Indexes, AnyRef, Any
Known Subclasses
CacheMongoRepository
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CacheRepository
2. UniqueIndexViolationRecovery
3. ReactiveRepository
4. CurrentTime
5. CollectionName
6. MongoDb
7. Indexes
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class BulkInsertRejected extends Exception

   Definition Classes
     ReactiveRepository

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val _Id: String

   Attributes
     protected
   Definition Classes
     ReactiveRepository

5. #### def _id(id: Id): JsObject

   Attributes
     protected
   Definition Classes
     ReactiveRepository

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bulkInsert(entities: Seq[Cache])(implicit ec: ExecutionContext): Future[MultiBulkWriteResult]

   Definition Classes
     ReactiveRepository

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### lazy val collection: JSONCollection

   Definition Classes
     ReactiveRepository

10. #### val collectionName: String

    Attributes
      protected[uk.gov.hmrc.mongo]
    Definition Classes
      ReactiveRepository → CollectionName

11. #### def count(query: JsObject, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Int]

    Definition Classes
      ReactiveRepository

12. #### def count(implicit ec: ExecutionContext): Future[Int]

    Definition Classes
      ReactiveRepository

13. #### def createOrUpdate(id: Id, key: String, toCache: JsValue): Future[DatabaseUpdate[Cache]]

14. #### implicit val domainFormatImplicit: Format[Cache]

    Definition Classes
      ReactiveRepository

15. #### def drop(implicit ec: ExecutionContext): Future[Boolean]

    Definition Classes
      ReactiveRepository

16. #### def ensureIndexes(implicit ec: ExecutionContext): Future[Seq[Boolean]]

    Definition Classes
      ReactiveRepository

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def find(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[List[Cache]]

    Definition Classes
      ReactiveRepository

21. #### def findAll(readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[List[Cache]]

    Definition Classes
      ReactiveRepository

22. #### def findAndUpdate(query: JsObject, update: JsObject, fetchNewObject: Boolean, upsert: Boolean, sort: Option[JsObject], fields: Option[JsObject], bypassDocumentValidation: Boolean, writeConcern: WriteConcern, maxTime: Option[FiniteDuration], collation: Option[Collation], arrayFilters: Seq[JsObject])(implicit ec: ExecutionContext): Future[Result[pack.type]]

    Definition Classes
      ReactiveRepository

23. #### def findById(id: Id, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Option[Cache]]

    Definition Classes
      ReactiveRepository

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### implicit val idFormatImplicit: Format[Id]

    Definition Classes
      ReactiveRepository

27. #### def indexes: Seq[Index]

    Definition Classes
      Indexes

28. #### def insert(entity: Cache)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      ReactiveRepository

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### val logger: Logger

    Attributes
      protected[this]
    Definition Classes
      ReactiveRepository

31. #### val message: String

    Definition Classes
      ReactiveRepository

32. #### val mongo: () ⇒ DB

    Attributes
      protected[uk.gov.hmrc.mongo]
    Definition Classes
      ReactiveRepository → MongoDb

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def recoverFromViolation[A](result: Future[A], fallback: ⇒ Future[A]): Future[A]

    Definition Classes
      UniqueIndexViolationRecovery

37. #### def remove(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      ReactiveRepository

38. #### def removeAll(writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      ReactiveRepository

39. #### def removeById(id: Id, writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]

    Definition Classes
      ReactiveRepository

40. #### def saveOrUpdate(findQuery: ⇒ Future[Option[Cache]], ifNotFound: ⇒ Future[Cache], modifiers: (Cache) ⇒ Cache)(implicit ec: ExecutionContext): Future[DatabaseUpdate[Cache]]

    Attributes
      protected

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def withCurrentTime[A](f: (DateTime) ⇒ A): A

    Definition Classes
      CurrentTime

47. #### lazy val zone: DateTimeZone

    Attributes
      protected
    Definition Classes
      CurrentTime

### Deprecated Value Members

1. #### def save(entity: Cache)(implicit ec: ExecutionContext): Future[WriteResult]

   Definition Classes
     ReactiveRepository
   Annotations
     @deprecated
   Deprecated

     (Since version 3.0.1) use ReactiveRepository#insert() instead

### Inherited from UniqueIndexViolationRecovery

### Inherited from ReactiveRepository[Cache, Id]

### Inherited from CurrentTime

### Inherited from CollectionName

### Inherited from MongoDb

### Inherited from Indexes

### Inherited from AnyRef

### Inherited from Any

### Ungrouped